Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.widget
Class RegistrationFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--context.arch.widget.RegistrationFrame

public class RegistrationFrame
extends java.awt.Frame
implements java.lang.Runnable, java.awt.event.ActionListener

This class implements a frame that runs in its own thread. It contains a GUI that collects registration information for a tour guide. This information includes user name, affiliation, email, interests and name of handheld device, if any.

See Also:
  `Frame`, `Runnable`, `ActionListener`, Serialized Form

Field Summary
`static java.lang.String` | `CANCEL` Tag for the cancel button
`static java.lang.String` | `SUBMIT` Tag for the submit button

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`RegistrationFrame(java.awt.event.ActionListener listener, java.lang.String separator)` Constructor that creates the frame and GUI for displaying to the user.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Method required by the ActionListener interface.
`java.lang.String` | `getAffiliation()` Returns the user's affiliation
`java.lang.String` | `getDevice()` Returns the handheld device carried by the user
`java.lang.String` | `getEmail()` Returns the email address of the user
`java.lang.String` | `getInterests()` Returns the interests of the user, separated by the separator string passed into the constructor
`java.lang.String` | `getName()` Returns the name of the user
`void` | `run()` Method required by the Runnable interface.

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, paramString, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, dispose, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isShowing, pack, postEvent, processEvent, processWindowEvent, removeWindowListener, setCursor, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUBMIT

    public static final java.lang.String SUBMIT

  Tag for the submit button

### CANCEL

    public static final java.lang.String CANCEL

  Tag for the cancel button

Constructor Detail

### RegistrationFrame

    public RegistrationFrame(java.awt.event.ActionListener listener,
                             java.lang.String separator)

  Constructor that creates the frame and GUI for displaying to the user.
  Parameters:
    `listener` - ActionListener to pass events to
    `separator` - String to use to separate user interests

Method Detail

### run

    public void run()

  Method required by the Runnable interface. It just makes the frame visible for the user
  Specified by:
    run in interface java.lang.Runnable

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Method required by the ActionListener interface. It handles the user interaction with the submit and cancel buttons. When the submit button is pressed, the user input is checked to see that a name, affiliation and email address have been entered. If the input is okay, it passes the event to the listener given in the constructor.
  Specified by:
    actionPerformed in interface java.awt.event.ActionListener
  Parameters:
    `evt` - ActionEvent caused by interaction with a button

### getName

    public java.lang.String getName()

  Returns the name of the user
  Overrides:
    getName in class java.awt.Component
  Returns:
    Name of the user

### getAffiliation

    public java.lang.String getAffiliation()

  Returns the user's affiliation
  Returns:
    Affiliation of the user

### getEmail

    public java.lang.String getEmail()

  Returns the email address of the user
  Returns:
    Email address of the user

### getInterests

    public java.lang.String getInterests()

  Returns the interests of the user, separated by the separator string passed into the constructor
  Returns:
    Interests of the user

### getDevice

    public java.lang.String getDevice()

  Returns the handheld device carried by the user
  Returns:
    handheld device carried by the user

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD